/**
 * Welcome to Cloudflare Workers! This is your first worker.
 *
 * - Run `npm run dev` in your terminal to start a development server
 * - Open a browser tab at http://localhost:8787/ to see your worker in action
 * - Run `npm run deploy` to publish your worker
 *
 * Learn more at https://developers.cloudflare.com/workers/
 */

async function getHashString(string, method = 'SHA-256') {
	const encoder = new TextEncoder();
	const data = encoder.encode(string);
	const hash = await crypto.subtle.digest(method, data);
	const hashArray = Array.from(new Uint8Array(hash));
	return hashArray.map(b => b.toString(16).padStart(2, '0')).join('');
}

export default {
	async fetch(request, env, ctx) {
		return new Response('Hello World!');
	},
};
